# ./apps/utils/xo-daemon

## Package/File Information

No package provided/required
Filename: ./apps/utils/xo-daemon

Description:

This script can be used to start/stop/restart xotcl daemons and maintains the process IDs, log files and means for easy restart.

It receives as first parameter the name of the xotcl script to be executed followed by the desired action and optional parameters. The specified action can be

- start: the specified script is started in the background, an entry to restart is generated in the run-directory as well as the process id of the started script. In addition a logfile is created in the log directory. If the start of the script fails, the error messages are shown.
- startall: all scripts that were started before via this script, are started
- stop terminates te specified script.
- stopall terminates all scripts started via this command
- restart tries to restart the specified script.

The optional parameters are:

- -logir specifies the directory for logging. The default is ~/.xotcl/log.
- -rundir specifies the directory where the information about the running processes is kept. The default is ~/.xotcl/run.

Authors: | Gustaf Neumann, Gustaf.Neumann@wu-wien.ac.at
Date: | [::xotcl::rcs date {$Date: 2006/02/18 22:17:32 $}]

Back to index page.